libqalculate-0.9.7: DataPropertyArgument Class Reference

# DataPropertyArgument Class Reference

Data property function argument. More...

`#include <DataSet.h>`

Inheritance diagram for DataPropertyArgument:

List of all members.

## Public Member Functions
| DataPropertyArgument (DataSet *data_set, string name_="", bool does_test=true, bool does_error=true)
| DataPropertyArgument (const DataPropertyArgument *arg)
int | type () const
Argument * | copy () const
string | print () const
DataSet * | dataSet () const
void | setDataSet (DataSet *data_set)
## Protected Member Functions
virtual bool | subtest (MathStructure &value, const EvaluationOptions &eo) const
virtual string | subprintlong () const
## Protected Attributes
DataSet * | o_data

## Detailed Description

Data property function argument.

## Member Function Documentation

virtual bool DataPropertyArgument::subtest | ( | MathStructure & | value,
|  | const EvaluationOptions & | eo |
| ) |  |  | const`[protected, virtual]`

This function is called from Argument::test() and performs validation specific to the argument definition type. Should be reimplemented by all subclasses.

Parameters:

  | value | Value to test.
  | eo | Evaluation options to use if the value needs to be evaluated.

Returns:
  true if the value is valid for the argument definition.

Reimplemented from Argument.

virtual string DataPropertyArgument::subprintlong | ( |  | ) | const`[protected, virtual]`

This function is called from Argument::printlong() and returns description specific the argument definition type. Should be reimplemented by all subclasses. For example IntegerArgument::subprintlong() might return "an integer" and Argument::printlong() might append " that fulfills the condition: even(\x)".

Returns:
  Long description.

Reimplemented from Argument.

int DataPropertyArgument::type | ( |  | ) | const`[virtual]`

Returns the type of the argument, corresponding to which subclass the object belongs to.

Returns:
  ArgumentType.

Reimplemented from Argument.

Argument* DataPropertyArgument::copy | ( |  | ) | const`[virtual]`

Returns a copy of the argument definition.

Returns:
  A copy.

Reimplemented from Argument.

string DataPropertyArgument::print | ( |  | ) | const`[virtual]`

Resturns a short description of the argument definition. Ex. "number" for NumberArgument.

Returns:
  Short description.

Reimplemented from Argument.

The documentation for this class was generated from the following file:

- libqalculate/DataSet.h